Subject: bug#38524: 'dhcp-client-service' crash when non-libre networking interface is present

From: Brice Waegeneire <[email-masked]>
Date: Tue, 10 Dec 2019 22:25:34 +0100

On 2019-12-10 18:11, Ludovic Courtès wrote:
> So here the problem is that Linux-libre fails to load the non-free
> firmware.  Could you bring it up on the Linux-libre development mailing
> list?
Doing some research on how linux-libre behave it seems normal that it
doesn't allow the loading of non-free firmware. So I think the issue is
on the Guix side; in dhcp-client-service stopping on an error and not
continuing to try other interface. If you don't think so what should I
bring up to the linux-libre mailing list?